Summary:	Adapt RPM .spec files to PLD Linux coding standard
Summary(pl.UTF-8):	Adaptowanie plików .spec pakietów RPM do standardu kodowania PLD Linuksa
Name:		adapter
Version:	1.514
Release:	1
License:	GPL
Group:		Applications/File
Source0:	adapter.awk
Source1:	adapter.sh
BuildRequires:	sed >= 4.0
Requires:	gawk >= 3.1.7
Conflicts:	rpm-build-tools < 4.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	%{_prefix}/lib

%description
adapter adapts RPM .spec files for PLD Linux coding standard.

%description -l pl.UTF-8
adapter adaptuje pliki .spec pakietów RPM do standardu kodowania PLD
Linuksa.

%prep
%setup -qcT
cp -p %{SOURCE0} %{SOURCE1} .

%{__sed} -i -e 's,^adapter=.*/adapter.awk,adapter=%{_libdir}/adapter.awk,' adapter.sh

%build
die() { echo >&2 "$*"; exit 1; }
for f in adapter.sh adapter.awk; do
	v=$(sed -rne 's/.*VERSION="([^"]+)".*/\1/p' $f)
	if [ "$v" != "%{version}" ]; then
		die "VERSION not %{version} in $f"
	fi
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}}
cp -p adapter.awk $RPM_BUILD_ROOT%{_libdir}/adapter.awk
install -p adapter.sh $RPM_BUILD_ROOT%{_bindir}/adapter

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/adapter
%{_libdir}/adapter.awk
%changelog
* Thu Oct 29 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/adapter.git;a=log;h=master

* Fri Apr 17 2020 Jakub Bogusz <qboosh@pld-linux.org> e8ecdd5
- pl

* Wed Jan 16 2019 Elan Ruusamäe <glen@delfi.ee> 6911565
- gawk backslash fixes

* Wed Jan 16 2019 Elan Ruusamäe <glen@pld-linux.org> 80072dd
- add more substitutions

* Sat Oct 21 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 23a98c9
- Handle meson BR.

* Sat May 06 2017 Elan Ruusamäe <glen@delfi.ee> b2dd02d
- capture %global macros, subst gh_owner, gh_project

* Wed Dec 28 2016 Elan Ruusamäe <glen@delfi.ee> 8711017
- adapter unicode dash

* Sun Oct 09 2016 Elan Ruusamäe <glen@delfi.ee> e4b1577
- macro, package updates; ASCII quotes and apostrophes

* Tue Sep 13 2016 Elan Ruusamäe <glen@delfi.ee> 74774c2
- macroize commands printed by autoreconf -vif

* Mon Sep 12 2016 Elan Ruusamäe <glen@delfi.ee> 6ca0126
- simplify version check

* Mon Sep 12 2016 Elan Ruusamäe <glen@delfi.ee> 57ac2ef
- new package, version 1.514

* Mon Sep 12 2016 Elan Ruusamäe <glen@delfi.ee> 0dc5941
- adapter: some qt5 replacements

* Mon Aug 22 2016 Elan Ruusamäe <glen@delfi.ee> c1974ca
- Revert "separater parameters and locals"

* Mon Aug 22 2016 Elan Ruusamäe <glen@delfi.ee> 3fb19c1
- separater parameters and locals

* Mon Aug 22 2016 Elan Ruusamäe <glen@delfi.ee> a5967a4
- fish_compdir, zsh_compdir

* Sun Jul 31 2016 Elan Ruusamäe <glen@delfi.ee> f893e2b
- adapter updates

* Fri May 20 2016 Elan Ruusamäe <glen@delfi.ee> 46db5e0
- adapter: chop # from urls

* Tue May 03 2016 Elan Ruusamäe <glen@delfi.ee> 53dfe16
- adapter: vim folding marks; update package renames

* Wed Mar 30 2016 Elan Ruusamäe <glen@delfi.ee> 44312d7
- python docker renames

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> 8f93bef
- subst _pkgdocdir

* Wed Mar 16 2016 Elan Ruusamäe <glen@delfi.ee> 2c829db
- subst python2_version

